<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Markus Günther <mail@markus-guenther.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Controller for testing the issue 52474 on forge.
 * You can have a look at http://forge.typo3.org/issues/52474
 */
class Tx_RedirectTest_Controller_TestController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {
	/**
	 * Index action for this controller.
	 *
	 * @return string The rendered view
	 */
	public function indexAction() {
		$test = $this->objectManager->get('Tx_RedirectTest_Domain_Model_Test');
		$test->setTitle("Issue 52474");
		$this->view->assign('test', $test);

		$this->redirect('redirect');
	}

	/**
	 * Redirect action
	 */
	public function redirectAction() {

	}

}

?>