<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Markus Günther <mail@markus-guenther.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Just a model called Start with one attribute
 */
class Tx_RedirectTest_Domain_Model_Test extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {
	/**
	 * Some title.
	 *
	 * @var string
	 */
	protected $title = '';

	/**
	 * An empty constructor - fill it as you like
	 *
	 */
	public function __construct() {

	}

	/**
	 * Sets the title
	 *
	 * @param string $title
	 * return void
	 */
	public function setTitle($title) {
		$this->title = $title;
	}

	/**
	 * Gets the title
	 *
	 * @return string The title of the album
	 */
	public function getTitle() {
		return $this->title;
	}
}

?>